Alt account of @Badabinski

Just a sweaty nerd interested in software, home automation, emotional issues, and polite discourse about all of the above.

  • 0 Posts
  • 8 Comments
Joined 2 years ago
cake
Cake day: June 9th, 2024

help-circle
  • It’s such a godsend. I wish people would teach both methods. It’s great that the “righty-tighty” thing works for so many people because it’s probably much faster than using your hand, but I spent so many years thinking I was shit at mechanical stuff because I couldn’t figure which way to turn a screw. I probably wouldn’t have a fucking obnoxious complex about it nowadays if I had learned this when I was five.


  • Reposting this as a direct response to you in case it’s helpful:

    Try using your right hand directly to figure out which way to turn a screw. Make a loose thumbs up. Point your thumb in the direction you want the screw to go. The way your fingers are curling is the way you turn your screwdriver. If it helps, try to imagine there are arrows pointing out of your fingertips. Works just like the right hand rule in physics.

    EDIT: here’s a picture of what I mean:

    an illustration of a thumbs up, demonstrating what was written above.


  • Or just use your right hand directly, just like some forms of the right hand rule. Make a loose thumbs up. Point your thumb in the direction you want the screw to go. The way your fingers are curling is the way you turn your screwdriver. If it helps, try to imagine there are arrows pointing out of your fingertips.

    A few years ago, I learned that there are people who can distinguish left and right as easily as they can distinguish up and down. Righty-tighty lefty-loosey as a mnemonic device works for those people. I have never had, nor will I likely ever have, an intuitive understanding of which way to turn a screw. If one part of the screw is moving left, another part is moving right. My brain simply cannot keep it consistently straight. I have to use my right hand in the manner I described every so often. It’s not a hindrance to me (I build stuff all the time and have a little hobby machine shop), and I sure as shit wish I had been taught this method as a child.


  • set -e: Exit on error. Very useful, but notoriously weird with edge cases (especially inside conditionals like if statements, while loops, and pipelines). Don’t rely on it blindly as it can create false confidence. (Pro-tip: consider set -euo pipefail for a more robust safety net, but learn its caveats first.)

    while I appreciate that the author mentions how weird this is, nobody is going to learn all the caveats correctly. Don’t use set -e. Don’t use set -e. Don’t use set -e. It’s a shit ass broken ass fucked feature that half of nobody understands well. Here’s a great wiki page explaining why it’s trash: https://mywiki.wooledge.org/BashFAQ/105

    People like Go, and Go requires you to manually and stupidly handle every possible error case. Why not do the same for shell? It’s really quite easy:

    #!/usr/bin/env bash
    echoerr() { echo "$@" 1>&2; }
    
    die() {
      message="$1"; shift
      exit_code="${1:-1}"
      echoerr "$message"
      exit "$exit_code"
    }
    
    temp_dir="$HOME/tmp"
    mkdir -p "$temp_dir" || die "Failed to make persistent temporary dir $temp_dir"
    lc_dir="$(mktemp -d -p "$temp_dir")" || die "Failed to make target dir in $temp_dir"
    

    Look at that, descriptive error messages! And it doesn’t depend on a shell feature that is inconsistent between versions with no good documentation about all of the fucked up caveats.






  • Also from the article:

    The writer Brett Forrest briefly interacted with Perelman in 2012. A reporter who had called him was told: “You are disturbing me. I am picking mushrooms.”

    I enjoy this man’s focus and determination. I feel like the world probably missed out on good things when he left academia, but I can’t blame the dude when I saw why he refused a million dollars for solving the Poincaré Conjecture. He seems like a person with very strong principles.